
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use teile.all;
use teile2.all;


entity alles is
    Port ( CLK1 : in  STD_LOGIC;
           CLK2 : in  STD_LOGIC;
           SCLK : in  STD_LOGIC;
           SCS : in  STD_LOGIC;
           S_DIN : in  STD_LOGIC;
           OUT1 : out  STD_LOGIC;
           OUT2 : out  STD_LOGIC
			);
end alles;

architecture Behavioral of alles is
signal tmp: std_logic_vector(11 downto 0);


begin

SH : shift port map(C=>SCLK, CS=>SCS, SI=>S_DIN, PO=>tmp );
AC1 : accum port map(CLK=>CLK1, IN_BUS=>tmp, OUT_CLK=>OUT1);
AC2 : accum port map(CLK=>CLK2, IN_BUS=>tmp, OUT_CLK=>OUT2);


  
end Behavioral;

