library ieee;
use ieee.std_logic_1164.all;


entity shift is
  port(C, CS, SI : in  std_logic;
        PO : out std_logic_vector(11 downto 0)
		  );
end shift;
architecture archi of shift is
  signal tmp: std_logic_vector(11 downto 0);
  
  begin
    process (C)
      begin
        if (C'event and C='1') then
          tmp <= tmp(10 downto 0) & SI;
		  end if;
	  end process;
	  
	  process (CS)
		begin
		  if (CS'event and CS='1') then
			PO <= tmp;
			end if;
      end process;
	   
end archi;


library ieee;
use IEEE.std_logic_1164.all;

package teile is
  component shift
    port(C, CS, SI : in  std_logic;
        PO : out std_logic_vector(11 downto 0)
		  );
  end component;

  
end teile;
