
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use ieee.std_logic_unsigned.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity accum is
    Port ( IN_BUS : in  STD_LOGIC_VECTOR (11 downto 0);
           CLK : in  STD_LOGIC;
           OUT_CLK : out  STD_LOGIC);
end accum;

architecture Behavioral of accum is
	signal tmp: STD_LOGIC_VECTOR (15 downto 0);
begin

		process (CLK)
			begin
			if(CLK='1' and CLK'event) then 
				tmp <= tmp + IN_BUS;
			end if;
		end process;
		
		OUT_CLK <= tmp(15);
		
end Behavioral;

library ieee;
use IEEE.std_logic_1164.all;

package teile2 is
  component accum
    Port ( IN_BUS : in  STD_LOGIC_VECTOR (11 downto 0);
           CLK : in  STD_LOGIC;
           OUT_CLK : out  STD_LOGIC);
  end component;

  
end teile2;